| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XSConstants.hpp File Reference

Include dependency graph for XSConstants.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | XSCONSTANTS_HPP

## Typedefs

typedef RefVectorOf< XSAttributeUse > | XSAttributeUseList
typedef RefVectorOf< XSFacet > | XSFacetList
typedef RefVectorOf< XSMultiValueFacet > | XSMultiValueFacetList
typedef RefVectorOf< XSNamespaceItem > | XSNamespaceItemList
typedef RefVectorOf< XSParticle > | XSParticleList
typedef RefVectorOf< XSSimpleTypeDefinition > | XSSimpleTypeDefinitionList
typedef RefArrayVectorOf< XMLCh > | StringList

## Variables

XERCES_CPP_NAMESPACE_BEGIN class class class class class class class typedef RefVectorOf< XSAnnotation > | XSAnnotationList
| This contains constants needed in the schema component model.

## Define Documentation

#define XSCONSTANTS_HPP

## Typedef Documentation

typedef RefArrayVectorOf<XMLCh> StringList

typedef RefVectorOf<XSAttributeUse> XSAttributeUseList

typedef RefVectorOf<XSFacet> XSFacetList

typedef RefVectorOf<XSMultiValueFacet> XSMultiValueFacetList

typedef RefVectorOf<XSNamespaceItem> XSNamespaceItemList

typedef RefVectorOf<XSParticle> XSParticleList

typedef RefVectorOf<XSSimpleTypeDefinition> XSSimpleTypeDefinitionList

## Variable Documentation

XERCES_CPP_NAMESPACE_BEGIN class class class class class class class typedef RefVectorOf<XSAnnotation> XSAnnotationList

| This contains constants needed in the schema component model.

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.